import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapZinkeBSDFTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginLayout("BSDF Attribues", collapse=False)
        self.addControl('weight', label='Weight', annotation='Weight')
        self.addControl('opacity', label='Opacity')
        self.endLayout()
        pm.mel.AEdependNodeTemplate(self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        